######################################################
#                                                    #
# Weka4WS 2.1 compile script                         #
# Copyright (C) 2005-2008 University of Calabria     #
# Dept. of Electronics, Computer Science and Systems #
#                                                    #
######################################################

if [ -z "${GLOBUS_LOCATION}" ]; then
    echo "ERROR: environment variable GLOBUS_LOCATION not defined" 1>&2
    return 1
fi

if [ ! -d "${GLOBUS_LOCATION}" ]; then
    echo "ERROR: invalid GLOBUS_LOCATION set: $GLOBUS_LOCATION" 1>&2
    return 1
fi

for i in ${GLOBUS_LOCATION}/lib/*.jar
do
   GLOBUS_LIB=$GLOBUS_LIB:"$i"
done

for i in ./lib/*.jar
do
   LIB=$LIB:"$i"
done


echo "==================================================="
echo "Compiling Weka4WS..." 
echo

javac -nowarn -classpath $GLOBUS_LIB:$LIB -d ./bin/ ./src/weka4ws/core/*.java ./src/weka4ws/gui/explorer/*.java

echo
echo "Weka4WS Compiling terminated."
echo "===================================================" 
