/*
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

/*
 *  ConnectionParameters.java
 *  Copyright (C) 2008 University of Calabria
 *  Dept. of Electronics, Computer Science and Systems
 */

package weka4ws.core;

import weka.gui.Logger;

/**
 * @author <a href="mailto:mlackovic@deis.unical.it">Marco Lackovic</a>
 */
public class ConnectionParameters {

    protected String remoteHost;
    protected int remoteServicePort;
    protected int remoteGridFTPPort;
    protected int remoteLogging;
    protected Logger log;

    public ConnectionParameters(String remoteHost, int remoteServicePort,
            int remoteGridFTPPort, int remoteLogging, Logger log) {
        this.remoteHost = remoteHost;
        this.remoteServicePort = remoteServicePort;
        this.remoteGridFTPPort = remoteGridFTPPort;
        this.remoteLogging = remoteLogging;
        this.log = log;
    }

    public String getRemoteHost() {
        return remoteHost;
    }

    public int getRemoteServicePort() {
        return remoteServicePort;
    }

    public int getRemoteGridFTPPort() {
        return remoteGridFTPPort;
    }

    public Logger getLog() {
        return log;
    }

    public boolean getRemoteLogging() {
        return (remoteLogging == 0 ? false : true);
    }

}
