/*
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

/*
 *  RemoteClassifier.java
 *  Copyright (C) 2007 University of Calabria
 *  Dept. of Electronics, Computer Science and Systems
 */

package weka4ws.core;

import java.rmi.RemoteException;

import javax.xml.rpc.ServiceException;

import org.apache.axis.types.URI.MalformedURIException;

import weka.core.Utils;

/**
 * @author <a href="mailto:mlackovic@deis.unical.it">Marco Lackovic</a>
 */
public class RemoteClassifier extends RemoteTestTask {

    public RemoteClassifier(ConnectionParameters connectionParameters,
            RemoteParameters parameters) throws MalformedURIException,
            RemoteException, ServiceException {
        super(connectionParameters, parameters);
    }

    protected String getArguments(String algorithm, String[] options)
            throws Exception {
        String[] newOps = new String[options.length];
        for (int i = 0; i < options.length; i++) {
            newOps[i] = options[i];
            if (options[i].equals("false")) {
                newOps[i] = "";
                newOps[i - 1] = "";
            }
            if (options[i].equals("true")) {
                newOps[i] = "";
            }
        }
        if ((algorithm.substring("weka.classifiers.rules.".length()))
                .equals("PART")) {
            for (int i = 0; i < newOps.length; i++)
                if (newOps[i].equals("-R"))
                    Utils.getOption('C', newOps);
                else
                    Utils.getOption('N', newOps);
        }
        if ((algorithm.substring("weka.classifiers.bayes.".length()))
                .equals("BayesNet")) {
            for (int i = 0; i < newOps.length; i++)
                if (newOps[i].equals("-B") && newOps[i].startsWith("-"))
                    newOps[i] = "";
        }
        if ((algorithm.substring("weka.classifiers.meta.".length()))
                .equals("ThresholdSelector")) {
            for (int i = 0; i < newOps.length; i++)
                if (newOps[i].equals("-R") && newOps[i + 1].equals("0")) {
                    Utils.getOption('R', newOps);
                    break;
                }
        }

        String optString = "";
        if ((algorithm.substring("weka.classifiers.meta.".length()))
                .equals("FilteredClassifier"))
            optString = newOps[0] + "*" + newOps[1] + "*" + newOps[2] + "*"
                    + newOps[3];
        else
            optString = Utils.joinOptions(newOps);

        return optString;
    }

}
