/*
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

/*
 *  RemoteService.java
 *  Copyright (C) 2008 University of Calabria
 *  Dept. of Electronics, Computer Science and Systems
 */

package weka4ws.core;

import javax.xml.rpc.ServiceException;

import org.apache.axis.message.addressing.Address;
import org.apache.axis.message.addressing.EndpointReferenceType;
import org.apache.axis.types.URI.MalformedURIException;

import weka4ws.stubs.service.Weka4WSPortType;
import weka4ws.stubs.service.service.Weka4WSServiceAddressingLocator;

/**
 * @author  <a href="mailto:mlackovic@deis.unical.it">Marco Lackovic</a>
 */
public class RemoteService {
    protected Weka4WSPortType port;

    protected String hostAddress = "localhost";
    protected int servicePort = 8443;

    public static final String SERVICE = "wsrf/services/Weka4WSService";

    public static final String NAMESPACE = "http://grid.deis.unical.it/weka4ws/Weka4WSService";

    public RemoteService(String hostAddress, int servicePort)
            throws MalformedURIException, ServiceException {
        this.hostAddress = hostAddress;
        this.servicePort = servicePort;

        Weka4WSServiceAddressingLocator locator = new Weka4WSServiceAddressingLocator();

        EndpointReferenceType endpoint = new EndpointReferenceType();

        String serviceURI = "https://" + hostAddress + ":" + servicePort + "/"
                + SERVICE;

        endpoint.setAddress(new Address(serviceURI));

        port = locator.getWeka4WSPortTypePort(endpoint);

    }

    public Weka4WSPortType getPortType() throws Exception {
        return port;
    }
}
