/*
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

/*
 *  RemoteMiningConstants.java
 *  Copyright (C) 2007 University of Calabria
 *  Dept. of Electronics, Computer Science and Systems
 */

package weka4ws.core;

/**
 * @author <a href="mailto:mlackovic@deis.unical.it">Marco Lackovic</a>
 */
public interface RemoteTaskConstants {
    
    public static final short CROSS_VALIDATION = 1;

    public static final short PERCENTAGE_SPLIT = 2;

    public static final short TRAINING_SET = 3;

    public static final short TEST_SET = 4;

    public static final short CLASSIFIER = 1;

    public static final short CLUSTERER = 2;

    public static final short ASSOCIATOR = 3;
    
    /** 
     * Max dataset size in byte with no need of compression
     */
    public static final int DATASET_MAXSIZE = 1048576;
    
    /**
     * Name of the temporary storage directory
     */    
    public static final String TEMP_DIR = ".Weka4WS";

}
