/*
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

/*
 *  BatchRemoteClustererListener.java
 *  Copyright (C) 2008 University of Calabria
 *  Dept. of Electronics, Computer Science and Systems
 */

package weka4ws.gui.kflow;

import java.util.EventListener;

import weka.gui.beans.BatchClustererEvent;

/**
 * Interface to something that can process a BatchClustererListener
 * generated after a remote invokation
 *
 * @author <a href="mailto:mlackovic@deis.unical.it">Marco Lackovic</a>
 */
public interface BatchRemoteClustererListener extends EventListener {
    /**
     * Accept a BatchClassifierEvent generated after a remote invokation
     *
     * @param e a <code>BatchClassifierEvent</code> value
     * @param host a <code>String</code> value
     */
    void acceptRemoteClusterer(BatchClustererEvent e, String host);
}
