/*
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

/*
 *    ClassifierPerformanceEvaluatorBeanInfo.java
 *    Copyright (C) 2002 Mark Hall
 *
 */

/*
 *  This code has been partially modified and extended as part of Weka4WS.
 *  Modifications and extensions are distinctly marked.
 *  Copyright (C) 2007 University of Calabria
 *  Dept. of Electronics, Computer Science and Systems
 */

package weka4ws.gui.kflow;

import java.beans.EventSetDescriptor;
import java.beans.SimpleBeanInfo;

import weka.gui.beans.TextListener;
import weka.gui.beans.ThresholdDataListener;
import weka.gui.beans.VisualizableErrorListener;

/**
 * Bean info class for the classifier performance evaluator
 *
 * @author <a href="mailto:mhall@cs.waikato.ac.nz">Mark Hall</a>
 * @author <a href="mailto:mlackovic@deis.unical.it">Marco Lackovic</a>
 * @version $Revision: 1.2.2.2 $
 */
public class ClassifierPerformanceEvaluatorBeanInfo extends SimpleBeanInfo {

    public EventSetDescriptor[] getEventSetDescriptors() {
        try {
            EventSetDescriptor[] esds = {
                    new EventSetDescriptor(
                            ClassifierPerformanceEvaluator.class, "text",
                            TextListener.class, "acceptText"),
                    new EventSetDescriptor(
                            ClassifierPerformanceEvaluator.class,
                            "thresholdData", ThresholdDataListener.class,
                            "acceptDataSet"),
                    new EventSetDescriptor(
                            ClassifierPerformanceEvaluator.class,
                            "visualizableError",
                            VisualizableErrorListener.class, "acceptDataSet") };
            return esds;
        } catch (Exception ex) {
            ex.printStackTrace();
        }
        return null;
    }

}
