/*
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

/*
 *    ClustererBeanInfo.java
 *    Copyright (C) 2004 Stefan Mutter
 *
 */

/*
 *  This code has been partially modified and extended as part of Weka4WS.
 *  Modifications and extensions are distinctly marked.
 *  Copyright (C) 2007 University of Calabria
 *  Dept. of Electronics, Computer Science and Systems
 */

package weka4ws.gui.kflow;

import java.beans.BeanDescriptor;
import java.beans.EventSetDescriptor;
import java.beans.SimpleBeanInfo;

import weka.gui.beans.BatchClustererListener;
import weka.gui.beans.GraphListener;
import weka.gui.beans.TextListener;

/**
 * BeanInfo class for the Clusterer wrapper bean
 * 
 * @author <a href="mailto:mutter@cs.waikato.ac.nz">Stefan Mutter</a>
 * @author Marco Lackovic
 * @version $Revision: 1.1 $
 */
public class ClustererBeanInfo extends SimpleBeanInfo {

    public EventSetDescriptor[] getEventSetDescriptors() {
        try {
            EventSetDescriptor[] esds = {
                    new EventSetDescriptor(Clusterer.class, "batchClusterer",
                            BatchClustererListener.class, "acceptClusterer"),
                    new EventSetDescriptor(Clusterer.class, "graph",
                            GraphListener.class, "acceptGraph"),
                    new EventSetDescriptor(Clusterer.class, "text",
                            TextListener.class, "acceptText") };
            return esds;
        } catch (Exception ex) {
            ex.printStackTrace();
        }
        return null;
    }

    /**
     * Get the bean descriptor for this bean
     * 
     * @return a <code>BeanDescriptor</code> value
     */
    public BeanDescriptor getBeanDescriptor() {
        /* ============== Weka4WS modifications ============== */
        return new BeanDescriptor(
                weka4ws.gui.kflow.Clusterer.class,
                ClustererCustomizer.class);
        /* =================================================== */
    }
}
