/*
 *  TestSetEvent4WS.java
 *  Copyright (C) 2007 University of Calabria
 *  Dept. of Electronics, Computer Science and Systems
 */

package weka4ws.gui.kflow;

import weka.core.Instances;
import weka4ws.stubs.service.TestOptions;

/**
 * Event encapsulating the source path from which the test set has been generated.
 * @author  Marco Lackovic
 * @version  1.0
 * @see weka.gui.beans.TestSetEvent
 */
public class TestSetEvent4WS extends weka.gui.beans.TestSetEvent {

    private static final long serialVersionUID = 1L;

    private String m_testSetFilePath;

    private TestOptions testOptions;
    
    private int seed;

    public TestSetEvent4WS(Object source, Instances testSet) {
        super(source, testSet);
    }

    public String getFilePath() {
        return m_testSetFilePath;
    }

    public void setFilePath(String filePath) {
        m_testSetFilePath = filePath;
    }

    public void setMaxSetNumber(int setNumber) {
        m_maxSetNumber = setNumber;
    }

    public void setSetNumber(int number) {
        m_setNumber = number;
    }

    public TestOptions getTestOptions() {
        return testOptions;
    }

    public void setTestOptions(TestOptions testOptions) {
        this.testOptions = testOptions;
    }

    public void setSeed(int seed) {
        this.seed = seed;        
    }

    public int getSeed() {
        return seed;
    }

}
