/*
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

/*
 *    TrainTestSplitMakerBeanInfo.java
 *    Copyright (C) 2002 Mark Hall
 *
 */

/*
 *  This code has been partially modified and extended as part of Weka4WS.
 *  Modifications and extensions are distinctly marked.
 *  Copyright (C) 2007 University of Calabria
 *  Dept. of Electronics, Computer Science and Systems
 */

package weka4ws.gui.kflow;

import java.beans.BeanDescriptor;
import java.beans.PropertyDescriptor;

import weka.gui.beans.AbstractTrainAndTestSetProducerBeanInfo;

/**
 * Bean info class for the train test split maker bean
 *
 * @author <a href="mailto:mhall@cs.waikato.ac.nz">Mark Hall</a>
 * @author Marco Lackovic
 * @version $Revision: 1.1 $
 * @since 1.0
 * @see AbstractTrainAndTestSetProducerBeanInfo
 */
public class TrainTestSplitMakerBeanInfo extends
        AbstractTrainAndTestSetProducerBeanInfo {

    /**
     * Get the property descriptors for this bean
     *
     * @return a <code>PropertyDescriptor[]</code> value
     */
    public PropertyDescriptor[] getPropertyDescriptors() {
        try {
            PropertyDescriptor p1;
            PropertyDescriptor p2;
            p1 = new PropertyDescriptor("trainPercent",
                    TrainTestSplitMaker.class);
            p2 = new PropertyDescriptor("seed", TrainTestSplitMaker.class);
            PropertyDescriptor[] pds = { p1, p2 };
            return pds;
        } catch (Exception ex) {
            ex.printStackTrace();
        }
        return null;
    }

    /**
     * Get the bean descriptor for this bean
     *
     * @return a <code>BeanDescriptor</code> value
     */
    public BeanDescriptor getBeanDescriptor() {
        return new BeanDescriptor(weka.gui.beans.TrainTestSplitMaker.class,
                TrainTestSplitMakerCustomizer.class);
    }
}
