/*
 *  TrainingSetEvent4WS.java
 *  Copyright (C) 2007 University of Calabria
 *  Dept. of Electronics, Computer Science and Systems
 */

package weka4ws.gui.kflow;

import weka.core.Instances;
import weka.gui.beans.TrainingSetEvent;
import weka4ws.stubs.service.TestOptions;

/**
 * Event encapsulating the source path from which the training set has been generated.
 * @author  Marco Lackovic
 * @version  1.0
 * @see  TrainingSetEvent
 */
public class TrainingSetEvent4WS extends weka.gui.beans.TrainingSetEvent {

    private static final long serialVersionUID = 1L;

    private String m_dataSetFilePath;

    private TestOptions testOptions;
    
    private int seed;

    /**
     * Creates a new <code>TrainingSetEvent</code>
     * 
     * @param source
     *            the source of the event
     * @param trainSet
     *            the training instances
     */
    public TrainingSetEvent4WS(Object source, Instances trainSet) {
        super(source, trainSet);
    }

    public String getFilePath() {
        return m_dataSetFilePath;
    }

    public void setFilePath(String filePath) {
        m_dataSetFilePath = filePath;
    }

    public void setMaxSetNumber(int setNumber) {
        m_maxSetNumber = setNumber;
    }

    public void setSetNumber(int number) {
        m_setNumber = number;
    }

    // TODO Questo metodo pu essere omesso, cos come le 
    // opzioni di testing
    public TestOptions getTestOptions() {
        return testOptions;
    }

    public void setTestOptions(TestOptions testOptions) {
        this.testOptions = testOptions;
    }

    public void setSeed(int seed) {
        this.seed = seed;        
    }

    public int getSeed() {
        return seed;
    }

}
