######################################################
#                                                    #
# Weka4WS 2.1 start script                           #
# Copyright (C) 2005-2008 University of Calabria     #
# Dept. of Electronics, Computer Science and Systems #
#                                                    #
######################################################

if [ -z "${GLOBUS_LOCATION}" ]; then
    echo "ERROR: environment variable GLOBUS_LOCATION not defined" 1>&2
    return 1
fi

if [ ! -d "${GLOBUS_LOCATION}" ]; then
    echo "ERROR: invalid GLOBUS_LOCATION set: $GLOBUS_LOCATION" 1>&2
    return 1
fi

for i in ${GLOBUS_LOCATION}/lib/*.jar
do
   GLOBUS_LIB=$GLOBUS_LIB:"$i"
done

for i in ./lib/*.jar
do
   LIB=$LIB:"$i"
done

echo "==================================================="

if [ -z "$1" ];
then
	echo "Starting Weka4WS..."
	echo
	java -DGLOBUS_LOCATION=$GLOBUS_LOCATION -classpath $GLOBUS_LOCATION$GLOBUS_LIB$LIB:./bin/ weka4ws.gui.GUIChooser
else
	echo "Starting Weka4WS using $1MB of maximum heap size"
	echo
	java -Xmx$1m -DGLOBUS_LOCATION=$GLOBUS_LOCATION -classpath $GLOBUS_LOCATION$GLOBUS_LIB$LIB:./bin/ weka4ws.gui.GUIChooser	
fi

echo
echo "Weka4WS terminated."
echo "==================================================="
